@echo off
:start
echo.
echo Veuillez choisir une carrosserie :
echo.
echo (1) Blanc glacier 369
echo (2) Gris platine D69
echo (3) Gris hologramme 603
echo (4) Bleu orage D47
echo (5) Beige angora A19
echo (6) Bleu navy D42
echo (7) Bleu crepuscule 472
echo (8) Vert amande 190
echo (9) Vert abysse 903
echo (a) Gris eclipse B66
echo (b) Noir nacre 676
echo (c) Marron glace D17
echo (d) Rouge de feu B76
echo.
set /p choix= La couleur choisie est :
rem CLS
rem if not '%choix%'== set choix=%choix:~0,1%
if '%choix%'=='1' goto 369
if '%choix%'=='2' goto d69
if '%choix%'=='3' goto 603
if '%choix%'=='4' goto d47
if '%choix%'=='5' goto a19
if '%choix%'=='6' goto d42
if '%choix%'=='7' goto 472
if '%choix%'=='8' goto 190
if '%choix%'=='9' goto 903
if '%choix%'=='a' goto b66
if '%choix%'=='b' goto 676
if '%choix%'=='c' goto d17
if '%choix%'=='d' goto b76
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:369
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "1.15 1.15 1.15 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.5 0.5 0.5 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "10"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0 0 0 1"
goto conf2
:d69
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "1 1 1 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.15 0.15 0.15 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.65 0.65 0.65 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "19"
goto conf2
:603
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.28 0.25 0.23 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.05 0.05 0.05 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.09 0.09 0.09 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "90"
goto conf2
:d47
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.48 0.44 0.42 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.12 0.10 0.14 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.22 0.17 0.26 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "65"
goto conf2
:a19
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.6 0.4 0.2"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.26 0.17 0.18"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.39 0.30 0.32"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "35"
goto conf2
:d42
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.00 0.00 0.01 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.015 0.015 0.07 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "10"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0 0 0 1"
goto conf2
:472
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.015 0.015 0.06 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.00 0.00 0.01 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "35"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.10 0.10 0.20 1"
goto conf2
:190
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.42 0.51 0.35 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.18 0.19 0.145 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "80"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.42 0.51 0.35 1"
goto conf2
:903
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.40 0.475 0.53 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0 0.01 0.01 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0 0.015 0.01 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "90"
goto conf2
:b66
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.02 0.02 0.02 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.01 0.01 0.01 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "80"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.21 0.21 0.24 1"
goto conf2
:676
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.4 0.38 0.30 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0 0 0 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0 0 0 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "90"
goto conf2
:d17
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.2 0.095 0.05 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.01 0 0 1"
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.015 0.0025 0 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "35"
goto conf2
:b76
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_couleur.diffuse "0.10 0.003 0.00 1"
..\..\..\..\ini ..\car.shd shader_couleur.ambient "0.05 0.00 0.00 1"
..\..\..\..\ini ..\car.shd shader_couleur.shininess "35"
..\..\..\..\ini ..\car.shd shader_couleur.specular "0.20 0.15 0.15 1"
goto conf2
:conf
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer de couleur
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
:conf2
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer d'harmonie
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto harm
if '%act%'=='2' goto exit
:conf
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer de couleur
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
:harm
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Carbone fonce
echo (2) Grege clair
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto c
if '%act%'=='2' goto g
:c
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_xitram.diffuse "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_xitram.ambient "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_plastique_1.diffuse "0.03 0.03 0.03 1"
..\..\..\..\ini ..\car.shd shader_plastique_1.ambient "0.03 0.03 0.03 1"
..\..\..\..\ini ..\car.shd shader_cuir_3.diffuse "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_cuir_3.ambient "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_tissus.diffuse "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_tissus.ambient "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_hp.diffuse "0.03 0.03 0.03 1"
..\..\..\..\ini ..\car.shd shader_hp.ambient "0.03 0.03 0.03 1"
..\..\..\..\ini ..\car.shd shader_baguette_tbd.diffuse "0.50 0.48 0.52 1"
..\..\..\..\ini ..\car.shd shader_baguette_tbd.ambient "0.50 0.48 0.52 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.015 0.015 0.015 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.015 0.015 0.015 1"
goto conf
:g
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_xitram.diffuse "0.34 0.312 0.26 1"
..\..\..\..\ini ..\car.shd shader_xitram.ambient "0.38 0.35 0.29 1"
..\..\..\..\ini ..\car.shd shader_plastique_1.diffuse "0.34 0.312 0.26 1"
..\..\..\..\ini ..\car.shd shader_plastique_1.ambient "0.38 0.35 0.29 1"
..\..\..\..\ini ..\car.shd shader_cuir_3.diffuse "0.34 0.312 0.26 1"
..\..\..\..\ini ..\car.shd shader_cuir_3.ambient "0.38 0.35 0.29 1"
..\..\..\..\ini ..\car.shd shader_tissus.diffuse "0.34 0.312 0.26 1"
..\..\..\..\ini ..\car.shd shader_tissus.ambient "0.38 0.35 0.29 1"
..\..\..\..\ini ..\car.shd shader_hp.diffuse "0.34 0.312 0.26 1"
..\..\..\..\ini ..\car.shd shader_hp.ambient "0.38 0.35 0.29 1"
..\..\..\..\ini ..\car.shd shader_baguette_tbd.diffuse "0.05 0.047 0.04 1"
..\..\..\..\ini ..\car.shd shader_baguette_tbd.ambient "0.05 0.047 0.04 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.29 0.26 0.22 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.29 0.26 0.22 1"
goto conf
:exit
exit
